osmium::unsupported_file_format_error Struct Reference

`#include <error.hpp>`

Inheritance diagram for osmium::unsupported_file_format_error:
[legend]
Collaboration diagram for osmium::unsupported_file_format_error:
[legend]

## Public Member Functions

| unsupported_file_format_error (const std::string &what)
| unsupported_file_format_error (const char *what)
Public Member Functions inherited from osmium::io_error
| io_error (const std::string &what)
| io_error (const char *what)

## Constructor & Destructor Documentation

osmium::unsupported_file_format_error::unsupported_file_format_error | ( | const std::string & | what | ) |

inline explicit

osmium::unsupported_file_format_error::unsupported_file_format_error | ( | const char * | what | ) |

inline explicit

The documentation for this struct was generated from the following file:

- osmium/io/error.hpp